package com.yihu.hos.dfs;

import com.yihu.hos.dfs.configuration.ZbusConfiguration;
import io.zbus.mq.server.MqServer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

@EnableEurekaClient
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class, HibernateJpaAutoConfiguration.class})
public class HosDfsApplication implements CommandLineRunner {
    private static final Logger logger = LoggerFactory.getLogger(HosDfsApplication.class);
    @Autowired
    private ZbusConfiguration zbusConfiguration;

    public static void main(String[] args) {
        SpringApplication.run(HosDfsApplication.class, args);
    }

    @Override
    public void run(String... strings) throws Exception {
        final MqServer server = new MqServer("zbus.xml");
        server.start();

        if (logger.isInfoEnabled()) {
            logger.info("zbus 启动成功！");
        }
    }
}
