package com.yihu.hos.dfs.controller;

import com.yihu.hos.dfs.service.DFSService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * 基于Mongo的文件系统
 * <p>跨域注解
 * Created by l4qiang on 2017-04-10.
 */
@CrossOrigin
@RestController
@RequestMapping(value = "/dfs")
public class DFSController {
    @Autowired
    private DFSService dfsService;

    @RequestMapping(value = "file/{fileId}/info", method = RequestMethod.GET)
    public ResponseEntity info(@PathVariable("fileId") String fileId) {
        return dfsService.info(fileId);
    }

    @RequestMapping(value = "file/{fileId}", method = RequestMethod.GET)
    public ResponseEntity retrieve(@PathVariable("fileId") String fileId, HttpServletResponse httpServletResponse) {
        return dfsService.retrieve(fileId, httpServletResponse);
    }

    @RequestMapping(value = "file/{fileId}/download", method = RequestMethod.GET)
    public ResponseEntity download(@PathVariable("fileId") String fileId) {
        return dfsService.download(fileId);
    }

    @RequestMapping(value = "file", method = RequestMethod.POST)
    public ResponseEntity store(@RequestPart MultipartFile file) {
        return dfsService.store(file);
    }

    @RequestMapping(value = "file/{fileId}", method = RequestMethod.POST)
    public ResponseEntity update(@PathVariable("fileId") String fileId, @RequestParam("file") MultipartFile file) {
        return dfsService.update(fileId, file);
    }

    @RequestMapping(value = "file/{fileId}", method = RequestMethod.DELETE)
    public ResponseEntity delete(@PathVariable("fileId") String fileId) {
        return dfsService.delete(fileId);
    }
}
